<?php

interface IViewer {
	public function __construct(&$env); // param is global object - main app
	public function init($side);

	public function refresh(); // return bool
	public function getDirPath(); // return string
	public function setDirPath($newDir); // return bool
	public function getFileSelected(); // return string (only the file name)
	public function getFileSelection(); // return array of strings (only the file names)
	public function getWorkingFileSelected(); // return string (whole path to the file on local filesys)
	public function getWorkingFileSelection(); // return array of string (whole path to the file on local filesys)
	public function isActive(); // return whether have focus (bool)
	public function setActive();
	public function getActualFSModule(); // return actual filesystem module
}

?>
