<?php
	
class WriteDir implements IWriteDir {
	
	
	private $env;
	
	public function __construct(&$env){
		$this->env = &$env;
	}
	
	
	public function writeDir($src_path, $dest_file, $type, $sFS, $dFS) {
		
		if ($type) {
		$fp = fopen ($dest_file, "w+");
			fwrite($fp, '<?xml version="1.0" encoding="windows-1250"?\>'."\n\n".'<writedir>'."\n\n".'<root>'.$src_path.'\\'.'</root>'."\n\n");
		fclose($fp);
		}//if end
		
				if ($this->env['os']!='unix')
					$endl = "\r\n";
				else
					$endl = "\n";


		$fp = fopen ($dest_file, "a+");
		if (@is_dir($src_path)) {
			$file = $sFS->getFiles($src_path);
			for ($i=0;$i<@sizeof($file);$i++) {
				//echo 'file: '.$path_real_src.$this->getSeparator().$file[$i]."\n";
				fwrite($fp, $src_path.$file[$i].$endl);
			}
			$dir = $sFS->getDirs($src_path);
			for ($i=0;$i<@sizeof($dir);$i++) {
				//echo 'dir: '.$path_real_src.$this->getSeparator().$dir[$i]."\n";
				fwrite($fp, $src_path.$dir[$i].'\\'.$endl);
				$this->writeDir($src_path.$dir[$i], $dest_file, $type, $sFS, $dFS);
			}
			unset($i,$file,$dir);
		}
		if (@is_file($src_path)) {
			throw new Exception($src_path.' neni dir!');
		}
		if ($type) {
			fwrite($fp, '</writedir>');
		
		}//if end
		fclose($fp);
	
	}//writeDir end
	
}

?>
